EcPrecomputation< EC2N > Class Reference

EC2N precomputation. More...

Inheritance diagram for EcPrecomputation< EC2N >:

## Public Types

typedef EC2N | EllipticCurve
Public Types inherited from DL_GroupPrecomputation< EC2N::Point >
typedef EC2N::Point | Element

## Public Member Functions

const AbstractGroup< Element > & | GetGroup () const
Element | BERDecodeElement (BufferedTransformation &bt) const
void | DEREncodeElement (BufferedTransformation &bt, const Element &v) const
void | SetCurve (const EC2N &ec)
const EC2N & | GetCurve () const
Public Member Functions inherited from DL_GroupPrecomputation< EC2N::Point >
virtual bool | NeedConversions () const
virtual Element | ConvertIn (const Element &v) const
virtual Element | ConvertOut (const Element &v) const
virtual const AbstractGroup< Element > & | GetGroup () const=0

## Detailed Description

EC2N precomputation.

Definition at line 111 of file ec2n.h.

The documentation for this class was generated from the following file:

- ec2n.h